Bug 489218 - missing dependency on kipiplugin.desktop
missing dependency on kipiplugin.desktop
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 14:10 EDT by Harald Hoyer
Modified: 2009-03-16 15:41 EDT (History)
10 users (show)

See Also:
Fixed In Version: 4.2.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2009-03-08 14:10:48 EDT
Description of problem:
kipi-plugins is missing a dependency on
/usr/share/kde4/servicetypes/kipiplugin.desktop
which is part of kdegraphics
otherwise e.g.
digikam(12975)/kdecore (trader) KServiceTypeTrader::defaultOffers: KServiceTypeTrader: serviceType  "KIPI/Plugin"  not found 
is happening

Version-Release number of selected component (if applicable):
kipi-plugins-0.2.0-0.14.rc1.fc10.i386
Comment 1 Rex Dieter 2009-03-08 15:15:21 EDT
Looks like we need to move this piece to kdegraphics-libs.
Comment 2 Rex Dieter 2009-03-08 15:16:02 EDT
put kipiplugin.desktop (currently in kdegraphics) to kdegraphics-libs that is.
Comment 3 Rex Dieter 2009-03-08 15:51:53 EDT
Fixed in kdegraphics-4.2.1-2, to be included in pending kde-4.2.1 update.
Comment 4 Fedora Update System 2009-03-09 18:46:37 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-4.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdegraphics kdepim kdebase-workspace akonadi kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebindings kdeedu kdegames kdelibs kde-l10n kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys phonon strigi kio_sysinfo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2438
Comment 5 Fedora Update System 2009-03-11 14:04:46 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-4.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdegraphics kdepim kdebase-workspace akonadi kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebindings kdeedu kdegames kdelibs kde-l10n kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys phonon strigi kio_sysinfo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2438
Comment 6 Fedora Update System 2009-03-13 14:38:06 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-7.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdegraphics kdepim kdebase-workspace akonadi kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebindings kdeedu kdegames kdelibs kde-l10n kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys phonon strigi kio_sysinfo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2438
Comment 7 Fedora Update System 2009-03-16 15:40:44 EDT
kdeutils-4.2.1-3.fc10, kdegraphics-4.2.1-3.fc10, kdepim-4.2.1-3.fc10, kdebase-workspace-4.2.1-7.fc10, akonadi-1.1.1-6.fc10, kdeaccessibility-4.2.1-1.fc10, kdeadmin-4.2.1-1.fc10, kdeartwork-4.2.1-1.fc10, kdebase-4.2.1-2.fc10, kdebase-runtime-4.2.1-2.fc10, kdebindings-4.2.1-1.fc10, kdeedu-4.2.1-1.fc10, kdegames-4.2.1-1.fc10, kdelibs-4.2.1-4.fc10, kde-l10n-4.2.1-1.fc10, kdemultimedia-4.2.1-1.fc10, kdenetwork-4.2.1-1.fc10, kdepimlibs-4.2.1-2.fc10.1, kdeplasma-addons-4.2.1-1.fc10, kdesdk-4.2.1-1.fc10, kdetoys-4.2.1-1.fc10, phonon-4.3.1-2.fc10, strigi-0.6.4-3.fc10, kio_sysinfo-20090216-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.